import { ListViewType } from './../../../data-view-lib/data-view/data-view-enums';
import { DataDetails } from '../data-detail-view/data-details';
import { DataListColumn } from './data-list-column';
export declare class DataList {
    id: number;
    columns: Array<DataListColumn>;
    name: string;
    type: ListViewType;
    dataDetail: DataDetails;
    constructor(dataList?: DataList);
    newDataList(): void;
    /**function to create report object with existing values
    *
    *@param Report
    *
    */
    dataList(dataList: DataList): void;
    /**function to create mapview object with existing values
    *
    *@param mapViews
    *
    */
    static createDataList(dataLists: Array<DataList>): Array<DataList>;
}
